#!/bin/bash
#

if [ -f "/usr/include/gdbm-ndbm.h" ]
then
    echo "#include <gdbm-ndbm.h>" > gdbm.h
elif [ -f "/usr/include/gdbm/ndbm.h" ]
then
    echo "#include <gdbm/ndbm.h>" > gdbm.h
else
    echo "#include <ndbm.h>" > gdbm.h
    if
        [ ! -f "/usr/include/ndbm.h" ]  &&
        [ ! -f "/src/include/ndbm.h" ]  
    then
        echo "Error: Nebyl nalezen soubor ndbm.h !"
        echo "       Pravdepodobne nemate nainstalovany vyvojovy balik knihovny gdbm"
        echo "       Nainstalujte, prosim, balik libgdbm-dev  !!"
    fi
fi
