/*------------------------------------------------*/
/* 20zakladyI/env.c                               */

#include <stdio.h>
#include <stdlib.h>

static void printVariable(char *name, char *value) {
	printf("Variable %s is %s\n", name, value == NULL ? "not set." : value);
}

int main(int arg, char *argv[], char * env[]) {
	int i = 0;
	char *user;

	while(env[i++]) {
		printf("%s\n", env[i-1]);
		if(i == 10) { printf("...\n"); break; }
	}

	user = getenv("USER");
	printVariable("USER", user);
	
	i = setenv("USER", "root", 1);
	if(i) { perror("setenv");exit(1); }

	user = getenv("USER");
	printVariable("USER", user);

	i = unsetenv("USER");
	if(i) { printf("Nelze odstranit promennou.\n"); }

	user = getenv("USER");
	printVariable("USER", user);

	return 0;
}
/*------------------------------------------------*/
