/*------------------------------------------------*/
/* 27dXslt/xslt.c                                 */
#include <string.h>
#include <libxslt/xslt.h>
#include <libxslt/transform.h>
#include <libxslt/xsltutils.h>

/* extern int xmlLoadExtDtdDefaultValue; */

int main(int argc, char **argv)
{
    xsltStylesheetPtr cur;
    xmlDocPtr doc, res;
    const char *params[] = { NULL};
    char * xmlSoubor = "adresar.xml";
    char * xslSoubor = "adresar.xsl";

    xmlSubstituteEntitiesDefault(1);
    xmlLoadExtDtdDefaultValue = 1;
    cur = xsltParseStylesheetFile((const xmlChar *)xslSoubor);
    doc = xmlParseFile(xmlSoubor);
    res = xsltApplyStylesheet(cur, doc, params);
    xsltSaveResultToFile(stdout, res, cur);

    xsltFreeStylesheet(cur);
    xmlFreeDoc(res);
    xmlFreeDoc(doc);

    xsltCleanupGlobals();
    xmlCleanupParser();

    return (0);
}
/*------------------------------------------------*/
