/*------------------------------------------------*/
/* 44http/server-work-http.c                      */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>
#include "connection.h"

static void copyFile(const char *filename, FILE * fw);

void serverWork(descriptors * fd)
{
    FILE *fr, *fw;
    char s[512];
    bool returnImage = false;

    fr = fdopen(fd->r, "r");
    fw = fdopen(fd->w, "w");

    /* nacteni hlavicek od klienta */
    while (fgets(s, sizeof(s), fr)) {
        fputs("** ", stdout);
        fputs(s, stdout);
        if (!strcmp(s, "\r\n")) {
            break;
        }
        if (strstr(s, "GET /sally.gif HTTP/") == s) {
            returnImage = true;
        }
    }
    /* vraceni odpovedi */
    if (returnImage) {
        fputs("HTTP/1.1 200 OK\r\n", fw);
        fputs("Content-Type: image/gif\r\n", fw);
        copyFile("sally.gif", fw);
    } else {
        fputs("HTTP/1.1 200 OK\r\n", fw);
        fputs("Content-Type: text/html;charset=UTF-8\r\n", fw);
        copyFile("index.html", fw);
    }
}

static void copyFile(const char *filename, FILE * fw)
{
    FILE *fr;
    char buffer[1024];
    int len;
    long size;

    fr = fopen(filename, "r");
    if (!fr) {
        fprintf(fw, "Content-Length: 0\r\n\r\n");
        perror("fopen");
        return;
    }
    fseek(fr, 0, SEEK_END);
    size = ftell(fr);
    rewind(fr);

    fprintf(fw, "Content-Length: %li\r\n", size);
    fputs("\r\n", fw);
    do {
        len = fread(buffer, 1, sizeof(buffer), fr);
        if (!len)
            break;
        fwrite(buffer, 1, len, fw);
    } while (true);
    fflush(fw);
    fclose(fr);
}

/*------------------------------------------------*/
