#!/bin/bash
# bash-datum.sh
#

if [ "$TERM" != "xterm" -a "$TERM" != "linux" ]
then
	exit 1
fi

ESC="\033["
COLOR="${ESC}0;34;47m"
END_COLOR="${ESC}0m"
SAVE_CURSOR="${ESC}s"
RESTORE_CURSOR="${ESC}u"
DATE=`date`

size=${#DATE}
col=`tput cols`
col=`expr $col - $size`
line=0

GO_TO_POSITION="${ESC}${line};${col}f"

echo -en "${SAVE_CURSOR}${GO_TO_POSITION}${COLOR}${DATE}${END_COLOR}${RESTORE_CURSOR}"
