/*------------------------------------------------*/
/* 20zakladyI/getopt.c                            */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h> /* atoi() */
#include "options.h"
#include <locale.h>


int main (int argc, char * argv[]) {
	int op, i;
	struct options Option = { 0, false, NULL, false, 0};
	char  *optstring = "+shf:m::";
	//setlocale(LC_MESSAGES, "");
	do {
		op = getopt(argc, argv, optstring);

		switch(op) {
			case -1:  break;
			case '?': fprintf(stderr,"Unknown or invalid argument for %c\n",optopt); return 1;
			case ':': fprintf(stderr,"Missing argument for :\n"); return 2;
			case 'h': Option.help = true; break;
			case 's': Option.speed++; break;
			case 'f': Option.file = optarg; break;
			case 'm':
				 Option.messagesEnabled = true;
				 if(optarg != NULL) {
					printf("optarg je %s\n", optarg);
				 	Option.messageLevel = atoi(optarg);
				 }
				 break;
		}
	
	} while(op != -1);

	printOption(Option);

	for(i = optind; i < argc; i++) {
		printf("\t\t-- %s\n", argv[i]);
	}

	return 0;
}
/*------------------------------------------------*/
