/*------------------------------------------------*/
/* 23processKomunikace/pipe1.c                    */

#include <unistd.h>
#include <stdlib.h>
#include <stdbool.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/wait.h>


void producent(int pipe[2]) {
    int i;
    close(pipe[0]); /* nebudu cist */
    for (i = 0; i <= 5; i++) {
        write(pipe[1], &i, sizeof(i));
    }
    close(pipe[1]);
}

void consumer(int pipe[2]) {
    ssize_t readed;
    int i;
    close(pipe[1]); /* nebudu zapisovat */
    do {
        readed = read(pipe[0],&i, sizeof(i));
        if(readed != sizeof(i)) break;
        printf("Načteno %i\n",i);
    } while(true);
    close(pipe[0]);
}

int main(void) {
    pid_t pid;
    int pipefd[2];
    
    if(pipe(pipefd) != 0) {
        perror("pipe");
        exit(EXIT_FAILURE);
    }
    pid = fork();
    if(pid == 0) {
        producent(pipefd);
    } else {
        consumer(pipefd);
	int stat_loc;
        waitpid(pid, &stat_loc, 0);
    }
    return 0;
}

/*------------------------------------------------*/
