/*------------------------------------------------*/
/* 25daemon/pidfile.h                             */
#ifndef _PIDFILE_H
#define _PIDFILE_H
#include <stdio.h>

/**
 * Otevře a zablokuje soubor
 * @return 0 - soubor se podarilo otevrit
 *         1 - bezi uz jiny demon
 *         2 - chyba
 */
int openPidFile(char *filename);

/**
 * Zapíše PID aktuálního procesu a uzavře soubor
 */
void closePidFile();

/**
 * Smaže soubor
 */
int removePidFile(char *filename);
#endif
/*------------------------------------------------*/
