/*------------------------------------------------*/
/* 42udp/client.c                                 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <netdb.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <time.h>
#include <string.h>
#include "connection.h"

int main(void)
{
    scitance sc;
    vysledek v;
    int sd;
    struct hostent *hp;
    struct sockaddr_in server;
    struct timeval tm;
    int ret;

    srand(time(NULL));
    sc.x = rand() % 10;
    sc.y = rand() % 10;

    printf("Connect ...\n");

    sd = socket(AF_INET, SOCK_DGRAM, 0);
    tm.tv_sec = 2;
    tm.tv_usec = 0;
    setsockopt(sd, SOL_SOCKET, SO_RCVTIMEO, (const char *)&tm, sizeof(tm));
    server.sin_family = AF_INET;
    server.sin_port = htons(PORT);
    hp = gethostbyname("localhost");
    memcpy(&(server.sin_addr.s_addr), hp->h_addr, hp->h_length);

    printf("Write ...\n");
    sendto(sd, &sc, sizeof(sc), MSG_DONTWAIT, (struct sockaddr *)&server,
           sizeof(server));

    printf("Read ...\n");
    ret = recv(sd, &v, sizeof(v), 0);
    if (ret != sizeof(v)) {
        perror("recv");
        exit(EXIT_FAILURE);
    }
    printf("%i + %i = %i\n", sc.x, sc.y, v.z);

    close(sd);

    return 0;
}
/*------------------------------------------------*/
