/*------------------------------------------------*/
/* 46fcgi/curl1.c                                 */
#include "common.h"
#include "html.h"
#include <qdecoder.h>
#include <curl/curl.h>
#include <fcgi_stdio.h>

extern char **environ;

int main(int argc, char *argv[])
{
    static unsigned int i = 0;
    while (FCGI_Accept() >= 0) {
        i++;
        htmlStart("CURL 1");
        printf("\t\t<p>Toto je %u-tý požadavek.</p>", i);
        printEnvironmentVals();
        /* qecoder */
        qentry_t *req = qcgireq_parse(NULL, Q_CGI_POST);
        char *name = (char *)req->getstr(req, "jmeno", false);
        char *surname = (char *)req->getstr(req, "prijmeni", false);
        printf("\t\t<p>qdecoder: name = '%s', surname = '%s'</p>\n",
               name ? name : "(null)", surname ? surname : "(null)");
        /* curl */
        if (name && surname) {
            curl_global_init(CURL_GLOBAL_NOTHING);
            CURL *curl = curl_easy_init();
            char *escName = curl_easy_escape(curl, name, 0);
            char *escSurname = curl_easy_escape(curl, surname, 0);
            printf("\t\t<p>curl = 'jmeno=%s&prijmeni=%s'</p>\n",
                   escName ? escName : "",
                   escSurname ? escSurname : "");
            curl_free(escName);
            curl_free(escSurname);
            curl_easy_cleanup(curl);
        }
        /* konec curl */
        printPostData();
        htmlForm("post");
        htmlEnd();
    }
    return 0;
}

/*------------------------------------------------*/
